package testGrid;
import java.awt.Color;

import unit4.gridLib.*;
public class TestGrid5 {

	public static void main(String[] args){
		Grid g1, g2;
		boolean flip = false;
		while(true)
		{
			g1 = null;
			g2 = null;
			g1 = new Grid(50, 50, 10, 10);
			g1.setDelay(10);
			g2 = new Grid(1, 1, 50 * 10 + 1, 40);
			g2.setCellText(0, 0, "Flood Fill Algorithm ");
			g2.setLocation(0, -50 * 10 / 2 - 21);
			g2.setCellColor(0, 0, Color.blue);
			g2.setCellTextColor(0, 0, Color.red);
			flip =!flip;
			if (flip)
			{
				g2.flipVertical(0, 0);
				g2.flipHorizontal(0, 0);
			}
			g2.setGridLinesColor(new Color(0, 0, 0, 0));
			int i;
	        for (i = 8; i < 21; i++)
	            g1.setCellColor(i, 5, Color.red);
	        for (i = 1; i < 6; i++)
	            g1.setCellColor(21 - i, 5 + i, Color.red);
	        for (i = 11; i < 15; i++)
	        {
	            g1.setCellColor(15, i, Color.red);
	            g1.setCellColor(15 - 1, i + 4, Color.red);
	            g1.setCellColor(8 + 1, i + 4, Color.red);
	            g1.setCellColor(8, i, Color.red);
	        }
	        for (i = 14 - 7; i < 14; i++)
	        {
	            g1.setCellColor(i, 19, Color.red);
	        }
	        for (i = 5; i < 9; i++)
	        {
	            g1.setCellColor(i, 6, Color.red);
	            g1.setCellColor(i + 3, 11, Color.red);
	        }
	        for (i = 7; i < 17; i++)
	        	g1.setCellColor(5, i, Color.red);
	
	        {
	        	g1.setCellColor(6, 17, Color.red);
	        	g1.setCellColor(6, 18, Color.red);
	        }
			g1.show();
			g2.show();
			
			flood(g1, Color.green, 1, 1);
			
			g1.flipHorizontal();
	        flood(g1, Color.yellow, 10, 10);
	        g1.flipVertical();
//	        if (true)
//				break;
	        System.out.println(Grid.getNumOfGrids());
		}

	}
	private static void flood(Grid g, Color fillColor, int row, int col)
    {

       if (row < 0 || row >= g.getRowsCount() || col < 0 || col >= g.getColumnsCount())
            return;
       
        if (g.getCellColor(row, col) != null)
            return;
        g.setCellColor(row, col, fillColor);
//        try{
//    		Thread.sleep(11);
//    	}
//    	catch(InterruptedException ex)
//		{    	}
        
        
        flood(g, fillColor, row - 1, col);
        flood(g, fillColor, row + 1, col);
        flood(g, fillColor, row, col - 1);
        flood(g, fillColor, row, col + 1);
    }

}
