package testTurtles;

import java.awt.Color;
import unit4.turtleLib.*;
public class TestTurtle5DrawTree {

	public static void main(String[] args) 
	{
		
		Turtle turtle = new Turtle();
        turtle.setDelay(10);
        turtle.tailDown();
        //turtle.setDelay(10);
        vee(turtle, 100);
        turtle.moveBackward(50); 
        

	}
	
	public static void circle(Turtle t, double r, int steps)
    {

        double alpha = 2 * Math.PI / steps;
        double beta = (Math.PI - alpha) / 2;
        double angle = Math.PI - 2 * beta;
        double step = 2 * r * Math.cos(beta);
        angle = angle * 180 / Math.PI;
        beta = 180 * beta / Math.PI;
        t.tailUp();
        t.moveForward(r);

        t.turnLeft(beta);
        t.tailDown();
        for (int i = 1; i <= steps; i++)
        {
            t.turnLeft(angle);
            t.moveForward(step);

        }
        t.tailUp();
        t.turnRight(beta);
        t.moveBackward(r);

    }
	public static void vee(Turtle t, int size)
    {
        int step = (int)(size * 0.6);
        if (size > 4)
        {
            t.turnLeft(45);
            t.moveForward(size);
            vee(t, step);
            t.tailUp();
            t.moveBackward(size);
            t.turnRight(90);
            t.tailDown();
            t.moveForward(size);
            vee(t, step);
            t.tailUp();
            t.moveBackward(size);
            t.turnLeft(45);
        }
        else
        {
            t.setTailColor(Color.red);
            circle(t, 3, 8);
            t.setTailColor(Color.black);
        }
    }


}
